# Uses of Class
org.eclipse.ui.progress.PendingUpdateAdapter

Packages that use PendingUpdateAdapter
Package
Description
org.eclipse.ui.progress
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.

## Uses of PendingUpdateAdapter in org.eclipse.ui.progress

Methods in org.eclipse.ui.progress that return PendingUpdateAdapter
Modifier and Type
Method
Description
`protected PendingUpdateAdapter`
DeferredTreeContentManager.`createPendingUpdateAdapter()`
Factory method for creating the pending update adapter representing the placeholder node.
Methods in org.eclipse.ui.progress with parameters of type PendingUpdateAdapter
Modifier and Type
Method
Description
`protected IElementCollector`
DeferredTreeContentManager.`createElementCollector(Object parent, PendingUpdateAdapter placeholder)`
Create the element collector for the receiver.
`protected void`
DeferredTreeContentManager.`runClearPlaceholderJob(PendingUpdateAdapter placeholder)`
Run a job to clear the placeholder.
`protected void`
DeferredTreeContentManager.`startFetchingDeferredChildren(Object parent, IDeferredWorkbenchAdapter adapter, PendingUpdateAdapter placeholder)`
Starts a job and creates a collector for fetching the children of this deferred adapter.